/*
 * Copyright (c) 2021 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "ui-app-ambient_unittests/mock/aul_mock.hh"
#include "ui-app-ambient_unittests/mock/mock_hook.hh"
#include "ui-app-ambient_unittests/mock/test_fixture.hh"

extern "C" int aul_app_get_appid_bypid(int pid, char* appid, int size) {
  return MOCK_HOOK_P3(AulMock, aul_app_get_appid_bypid, pid, appid, size);
}

extern "C" int aul_app_com_create(const char* endpoint,
    aul_app_com_permission_h permission, app_com_cb callback, void* user_data,
    aul_app_com_connection_h* connection) {
  return MOCK_HOOK_P5(AulMock, aul_app_com_create, endpoint, permission,
      callback, user_data, connection);
}

extern "C" int aul_app_com_send(const char* endpoint, bundle* envelope) {
  return MOCK_HOOK_P2(AulMock, aul_app_com_send, endpoint, envelope);
}
