/*
 * Copyright (c) 2021 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef UI_APP_AMBIENT_UNITTESTS_MOCK_AUL_MOCK_HH_
#define UI_APP_AMBIENT_UNITTESTS_MOCK_AUL_MOCK_HH_

#include <aul.h>
#include <aul_app_com.h>

#include <gmock/gmock.h>

#include "ui-app-ambient_unittests/mock/module_mock.hh"

class AulMock : public virtual ModuleMock {
 public:
  virtual ~AulMock() {}

  MOCK_METHOD3(aul_app_get_appid_bypid, int (int, char*, int));
  MOCK_METHOD5(aul_app_com_create,
      int (const char*, aul_app_com_permission_h, app_com_cb, void*,
          aul_app_com_connection_h*));
  MOCK_METHOD2(aul_app_com_send, int (const char*, bundle*));
};

#endif  // UI_APP_AMBIENT_UNITTESTS_MOCK_AUL_MOCK_HH_
